Listar subcontas
curl --request GET \
--url https://api.upag.io/v1/sub-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/sub-accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Subcontas
Listar subcontas
Lista subcontas da conta titular
GET
https://api.upag.io
/
v1
/
sub-accounts
Listar subcontas
curl --request GET \
--url https://api.upag.io/v1/sub-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/sub-accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl -G https://api.upag.io/v1/sub-accounts \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "limit=20" \
-d "offset=0"
Resposta
200 OK
Response
{
"data": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"legalEntity": {
"id": "990e8400-e29b-41d4-a716-446655440000",
"type": "individual",
"status": "under_review",
"documentType": "cpf",
"documentNumber": "39053344705",
"legalName": null,
"tradingName": null,
"email": "joao@example.com",
"phone": { "countryCode": "55", "areaCode": "11", "number": "999998888" }
},
"account": {
"id": "880e8400-e29b-41d4-a716-446655440000",
"name": "João Silva",
"status": "pending",
"bankCode": null,
"branch": null,
"number": null,
"digit": null
},
"createdAt": "2026-03-18T10:00:00.000Z",
"updatedAt": "2026-03-18T10:00:00.000Z"
}
],
"count": 1,
"limit": 20,
"offset": 0
}